package com.kingdee.eas.custom.expandassess;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class ComRuleCollection extends AbstractObjectCollection 
{
    public ComRuleCollection()
    {
        super(ComRuleInfo.class);
    }
    public boolean add(ComRuleInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(ComRuleCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(ComRuleInfo item)
    {
        return removeObject(item);
    }
    public ComRuleInfo get(int index)
    {
        return(ComRuleInfo)getObject(index);
    }
    public ComRuleInfo get(Object key)
    {
        return(ComRuleInfo)getObject(key);
    }
    public void set(int index, ComRuleInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(ComRuleInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(ComRuleInfo item)
    {
        return super.indexOf(item);
    }
}